﻿@using FlightApp.Web.Models
@model IEnumerable<FlightListViewModel>

<div class="container">
    <h2>Flight List</h2>
    <div class="d-flex justify-content-end mb-3">
        <a asp-controller="Flight" asp-action="Create" class="btn btn-success">Create New Flight</a>
    </div>

    @if (!Model.Any())
    {
        <p>No flights available.</p>
    }
    else
    {
        <table class="table table-dark table-hover table-striped">
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Departure Airport</th>
                    <th>Arrival Airport</th>
                    <th>Distance (kilometers)</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var flight in Model)
                {
                    <tr>
                        <td>@flight.Name</td>
                        <td>@flight.DepartureAirportName</td>
                        <td>@flight.ArrivalAirportName</td>
                        <td>@flight.Distance</td>
                        <td>
                            <a asp-controller="Flight" asp-action="Edit" asp-route-id="@flight.Id" class="btn btn-primary btn-sm">Edit</a>
                            <a asp-controller="Flight" asp-action="Delete" asp-route-id="@flight.Id" class="btn btn-danger btn-sm">Delete</a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    }
</div>
